Stage (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.concurrent
Enum Stage

    java.lang.Object
      java.lang.Enum<Stage>
          org.apache.cassandra.concurrent.Stage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Stage>

    public enum Stage

extends java.lang.Enum<Stage>

Enum Constant Summary
`ANTI_ENTROPY`
`GOSSIP`
`INTERNAL_RESPONSE`
`MIGRATION`
`MISC`
`MUTATION`
`READ`
`READ_REPAIR`
`REPLICATE_ON_WRITE`
`REQUEST_RESPONSE`
`STREAM`

Method Summary
`java.lang.String` | `getJmxName()`
`java.lang.String` | `getJmxType()`
`static Stage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final Stage READ

### MUTATION

    public static final Stage MUTATION

### STREAM

    public static final Stage STREAM

### GOSSIP

    public static final Stage GOSSIP

### REQUEST_RESPONSE

    public static final Stage REQUEST_RESPONSE

### ANTI_ENTROPY

    public static final Stage ANTI_ENTROPY

### MIGRATION

    public static final Stage MIGRATION

### MISC

    public static final Stage MISC

### INTERNAL_RESPONSE

    public static final Stage INTERNAL_RESPONSE

### READ_REPAIR

    public static final Stage READ_REPAIR

### REPLICATE_ON_WRITE

    public static final Stage REPLICATE_ON_WRITE

Method Detail

### values

    public static Stage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Stage c : Stage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Stage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getJmxType

    public java.lang.String getJmxType()

### getJmxName

    public java.lang.String getJmxName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation